#### DSORG

#### Synopsis

    HELP:   (HOST) File organization for compressed file
    TYPE:   NUMBER
    SYNTAX: DSORG/DS/FCBTYPE=SEQ/PS/EDS/ESDS/KDS/KSDS/RDS/RRDS/LDS

#### Description

File organization for compressed file (z/OS only).

See also parameter RECFORMAT.

If the compressed file shall be generated as index sequential file, a VSAM-KSDS-file must be created.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `DSORG=PS/ESDS/KSDS/LDS/RRDS` (FCBTYPE=file control block type)
  - `DS=PS/ESDS/KSDS/LDS/RRDS`

Values

- z/OS
  - `PS` - sequential
  - `ESDS` - VSAM-ESDS
  - `KSDS - VSAM-KSDS
  - `LDS` - VDSAM-LDS
  - `RRDS` - VSAM-RRDS

Default

- z/OS
  - `PS`

Valid for

- compression

#### Selections

- `SEQ - Sequential access [DEFAULT]`
- `PS - Sequential access [DEFAULT]`
- `EDS - Entry data set (VSAM-ESDS)`
- `ESDS - Entry data set (VSAM-ESDS)`
- `KDS - Keyed data set (VSAM-KSDS)`
- `KSDS - Keyed data set (VSAM-KSDS)`
- `RDS - Relative data set (VSAM-RRDS)`
- `RRDS - Relative data set (VSAM-RRDS)`
- `LDS - Linear data set (VSAM-LDS)`